local max = math.max

-- check equipped mining equipment
function PR.CheckEquipment()
    PR.ScanRange = 0
    PR.MiningBeamCount = 0
    PR.MiningBeamHeatRate = 0
    PR.ScannerEquipped = false
    PR.MiningBeamEquipped = false
    local heat = 0
    local activeShipID = GetActiveShipID()

    for _, itemid in ipairs(GetShipInventory(activeShipID).addons) do
        local item_typeid = GetInventoryItemType(itemid)
        local proto = InvManager.GetInventoryItemPrototype(item_typeid)
        local item_class = proto:GetParameter("Class") or ""
        if item_class == "Scanner" then
            PR.ScannerEquipped = true
            PR.ScanRange = max(PR.ScanRange,
                tonumber(proto:GetParameter("Range") or 500))
        elseif item_class == "MiningGun" then
            PR.MiningBeamEquipped = true
            PR.MiningBeamCount = PR.MiningBeamCount + 1
            local curheat = proto:GetParameter("HeatGeneration")
            if curheat then heat = heat + curheat end
        end
    end

    -- calculate heat rate while considering the heat reduction from using
    -- multiple beams on the same ship, but NOT the heat reduction from
    -- multiple beams in the group (we don't know about those)
    if PR.MiningBeamCount > 0 then
        PR.MiningBeamHeatRate = heat / (1 + ((PR.MiningBeamCount - 1) * 1.2))
    end

    -- detect if active ship has a built-in mineral scanner
    local builtin_range = InvManager.GetInventoryItemParameter(
        GetInventoryItemType(activeShipID), "ScannerRange")
    if builtin_range then
        PR.ScannerEquipped = true
        PR.ScanRange = max(PR.ScanRange, builtin_range)
    end
end
